Index: contrib/qemu/build-from-scratch.sh
===================================================================
--- contrib/qemu/build-from-scratch.sh	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
+++ contrib/qemu/build-from-scratch.sh	(revision 231c770580f4400a6e0e7612723b1efb16fd5390)
@@ -34,7 +34,6 @@
 TARBALL=${BASENAME}.tar.bz2
 SOURCEDIR=${BASENAME}
-URL=http://wiki.qemu-project.org/download/${TARBALL}
+URL=https://download.qemu.org/${TARBALL}
 REPO=git://git.qemu.org/qemu.git
-MD5="335994a755bc655e88a87aeb36bfc0b9"
 
 OPENSPARC_TARBALL="OpenSPARCT1_Arch.1.5.tar.bz2"
@@ -91,6 +90,11 @@
 	fi
 
-	if [ "`md5sum ${TARBALL} | cut -f 1 -d " "`" != ${MD5} ]; then
-		echo Wrong MD5 checksum
+	if [ ! -f ${TARBALL}.sig ]; then
+		wget ${URL}.sig
+	fi
+
+	gpg --verify ${TARBALL}.sig ${TARBALL}
+	if [ $? -ne 0 ]; then
+		echo Unable to verify the signature
 		exit
 	fi
